Bug 1001752 - Using no-loop attribute in guided editor can have surprising result
Using no-loop attribute in guided editor can have surprising result
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 12:27 EDT by Jiri Locker
Modified: 2014-08-06 16:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:15:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-08-27 12:27:41 EDT
Description of problem:
When no-loop attribute is added its value checkbox is unchecked (meaning false), however the DRL source contains only "no-loop" without any value, which has the same meaning as "no-loop true". After saving the rule (without touching the no-loop checkbox and leaving it in its default unchecked state) and reopening it, the checkbox is checked. That is consistent with the .rdrl file content, however slightly surprising.

Version-Release number of selected component (if applicable):
ER1

How reproducible:
-

Steps to Reproduce:
1. create a new Guided rule
2. add no-loop attribute
3. save the rule, close it and reopen

Actual results:
no-loop checkbox is unchecked after step 2 and checked after step 3.

Expected results:
no-loop checkbox should be checked after adding the attribute.

Additional info:
no-loop defaults to "false" (when the attribute is completely omitted). When the user is adding it to the rule it's probably in order to set it to "true", therefore it makes sense to default to "true" after adding the attribute. The only error is that it's checkbox state doesn't reflect this.
Comment 2 manstis 2013-09-06 12:37:25 EDT
If the user as explicitly added the no-loop attribute I've made it so the DRL renders "no-loop false" or "no-loop true". Not rendering the attribute at all could confuse the user (and means when we unmarshall from DRL the "no-loop" attribute would be missing all together if it wasn't in the DRL).

Note You need to log in before you can comment on or make changes to this bug.